modfileprivate.h File Reference

Go to the source code of this file.

## Macros

#define | READ_ASSERT(cond)
#define | READ(setter, type, read)
#define | READ_BYTE(setter)
#define | READ_U16L(setter)
#define | READ_U32L(setter)
#define | READ_U16B(setter)
#define | READ_U32B(setter)
#define | READ_STRING(setter, size)
#define | READ_AS(type, name, read)
#define | READ_BYTE_AS(name)
#define | READ_U16L_AS(name)
#define | READ_U32L_AS(name)
#define | READ_U16B_AS(name)
#define | READ_U32B_AS(name)
#define | READ_STRING_AS(name, size)

## Macro Definition Documentation

## READ

#define READ | ( |  | setter,
|  |  | type,
|  |  | read )

Value:
do { \
type number; \
READ_ASSERT(read(number)); \
setter(number); \
} while(0)

## READ_AS

#define READ_AS | ( |  | type,
|  |  | name,
|  |  | read )

Value:
type name = 0; \
READ_ASSERT(read(name))

## READ_ASSERT

#define READ_ASSERT | ( |  | cond | ) |

Value:
do { \
if(!(cond)) { \
setValid(false); \
return; \
} \
} while(0)

## READ_BYTE

#define READ_BYTE | ( |  | setter | ) |

Value:
READ(setter, unsigned char, readByte)
READ
#define READ(setter, type, read)
Definition modfileprivate.h:34

## READ_BYTE_AS

#define READ_BYTE_AS | ( |  | name | ) |

Value:
READ_AS(unsigned char, name, readByte)
READ_AS
#define READ_AS(type, name, read)
Definition modfileprivate.h:54

## READ_STRING

#define READ_STRING | ( |  | setter,
|  |  | size )

Value:
do { \
String s; \
READ_ASSERT(readString(s, size)); \
setter(s); \
} while(0)

## READ_STRING_AS

#define READ_STRING_AS | ( |  | name,
|  |  | size )

Value:
String name; \
READ_ASSERT(readString(name, size))

## READ_U16B

#define READ_U16B | ( |  | setter | ) |

Value:
READ(setter, unsigned short, readU16B)

## READ_U16B_AS

#define READ_U16B_AS | ( |  | name | ) |

Value:
READ_AS(unsigned short, name, readU16B)

## READ_U16L

#define READ_U16L | ( |  | setter | ) |

Value:
READ(setter, unsigned short, readU16L)

## READ_U16L_AS

#define READ_U16L_AS | ( |  | name | ) |

Value:
READ_AS(unsigned short, name, readU16L)

## READ_U32B

#define READ_U32B | ( |  | setter | ) |

Value:
READ(setter, unsigned long, readU32B)

## READ_U32B_AS

#define READ_U32B_AS | ( |  | name | ) |

Value:
READ_AS(unsigned long, name, readU32B)

## READ_U32L

#define READ_U32L | ( |  | setter | ) |

Value:
READ(setter, unsigned long, readU32L)

## READ_U32L_AS

#define READ_U32L_AS | ( |  | name | ) |

Value:
READ_AS(unsigned long, name, readU32L)